package com.example.sampleapp

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import android.widget.Toast
import androidx.core.os.bundleOf
import com.example.sampleapp.data.users

class MainActivity : AppCompatActivity(R.layout.activity_main) {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        val loginEditText = findViewById<EditText>(R.id.LoginEditText)
        val passwordEditText = findViewById<EditText>(R.id.PasswordEditText)
        val button = findViewById<Button>(R.id.SendPasswordButton)
        val _dataSourceUsers = users
        button.setOnClickListener {
          val user  = _dataSourceUsers.findLast { user ->
               user.login.contentEquals(loginEditText.text.toString()) }
            if(user == null) {
                Toast.makeText(
                    this,
                    "Такого логина не существует",
                    Toast.LENGTH_SHORT
                ).show()
                return@setOnClickListener;
            }
            if(!user.password.contentEquals(
                    passwordEditText.text.toString())){
                Toast.makeText(this,
                    "Пароли не совпадают"
                    , Toast.LENGTH_SHORT).show()
                return@setOnClickListener
            }
          val intent = Intent(applicationContext,
              AboutUserActivity::class.java)
            intent.putExtra("user", user.login)
            startActivity(intent)
        }

    }
}